<?php

declare(strict_types=1);

namespace FiloBlu\Storelocator\Api;

use FiloBlu\Storelocator\Api\Data\StoreInterface;

/**
 *
 */
interface StoreServiceInterface
{

    /**
     * @param string $code
     * @return \FiloBlu\Storelocator\Api\Data\StoreInterface
     */
    public function getByCode($code) : StoreInterface;
}